Loading...
Searching...
No Matches
juce::SettableTooltipClient Class Reference

## Detailed Description

An implementation of TooltipClient that stores the tooltip string and a method for changing it.

This makes it easy to add a tooltip to a custom component, by simply adding this as a base class and calling setTooltip().

Many of the JUCE widgets already use this as a base class to implement their tooltips. See the TooltipWindow docs for more information about implementing tooltips.

See also
  TooltipClient, TooltipWindow

The documentation for this class was generated from the following file:

- juce_gui_basics/mouse/juce_TooltipClient.h

Inheritance diagram for juce::SettableTooltipClient:

## Public Member Functions

| ~SettableTooltipClient () override=default
| Destructor.
virtual void | setTooltip (const String &newTooltip)
| Assigns a new tooltip to this object.
String | getTooltip () override
| Returns the tooltip assigned to this object.
Public Member Functions inherited from juce::TooltipClient
virtual | ~TooltipClient ()=default
| Destructor.

## Protected Member Functions

| SettableTooltipClient ()=default

## Constructors and Destructors

## ~SettableTooltipClient()

juce::SettableTooltipClient::~SettableTooltipClient | ( |  | ) |

override default

Destructor.

## SettableTooltipClient()

juce::SettableTooltipClient::SettableTooltipClient | ( |  | ) |

protected default

## Member Functions

## setTooltip()

virtual void juce::SettableTooltipClient::setTooltip | ( | const String & | newTooltip | ) |

inline virtual

Assigns a new tooltip to this object.

Reimplemented in juce::Button, juce::ComboBox, and juce::FilenameComponent.

## getTooltip()

String juce::SettableTooltipClient::getTooltip | ( |  | ) |

inline override virtual

Returns the tooltip assigned to this object.

Implements juce::TooltipClient.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited